/v0.1/merchants/{merchant_code}/readers/{reader_id}/settingsUpdates the menu lock settings for a Solo reader. The reader must be online. A successful response confirms that the reader applied the update.
Include at least one of menu_lock.enabled or menu_lock.passcode.
Omitted settings keep their current values. The response contains only the
settings included in the request.
When enabling menu lock for a reader without a PIN, include a four-digit PIN
in menu_lock.passcode in the same request.
OAuth scopes: Requires one of: readers.write.
Required permissions:
readers.checkouts.create
Path parameters
The merchant code of the account that owns the reader.
The unique identifier of the reader.
Body parameters
application/jsonrequiredMenu lock settings to update.
Responses
200application/json
Reader settings updated successfully.
Show 2 properties
- Options:
"applied"Indicates that the reader applied the settings update.
Example:
"applied"
400application/json
The request body is malformed.
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "Bad Request",
"status": 400,
"title": "Bad Request",
"type": "https://developer.sumup.com/problem/bad-request"
}401application/json
Unauthorized
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "Unauthorized",
"status": 401,
"title": "Unauthorized",
"type": "https://developer.sumup.com/problem/unauthorized"
}404application/json
The reader was not found.
Show 1 property
Fuller message giving context to error
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "The requested resource doesn't exist or does not belong to you.",
"status": 404,
"title": "Requested resource couldn't be found.",
"type": "https://developer.sumup.com/problem/not-found"
}422application/json
The settings are invalid, the reader is offline, the reader model is not supported, or the reader could not apply the update.
application/problem+json
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
{
"detail": "The device is offline.",
"status": 422,
"title": "Reader Offline",
"type": "https://developer.sumup.com/problem/reader-offline"
}